cURL
curl --request GET \
--url https://api.brightdata.com/datasets/snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "snap_m2bxug4e2o352v1jv1",
"created": "2024-01-01T00:00:00Z",
"status": "ready",
"dataset_id": "gd_l1viktl72bvl7bjuj0",
"view_id": "v_m6iezgld2c56zjwchm",
"dataset_size": 1000
}
]市场数据集 API
获取快照元数据
Get dataset snapshots metadata
GET
/
datasets
/
snapshots
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Dataset ID
示例:
"gd_l1viktl72bvl7bjuj0"
View ID
示例:
"v_m6iezgld2c56zjwchm"
Snapshot status
可用选项:
canceled, scheduled, collecting, digesting, validating, building, delivering, pending_discovery_input, pending_pdp_input, pending_developer_review, pending_owner_review, queued_for_developer_review, ready, failed, rolling_back 响应
200 - application/json
OK
可用选项:
canceled, scheduled, collecting, digesting, validating, building, delivering, pending_discovery_input, pending_pdp_input, pending_developer_review, pending_owner_review, queued_for_developer_review, ready, failed, rolling_back Number of records in the snapshot